#include <iostream>
#include <vector>
using namespace std;
int main(){
    int x,y;
    cin>>x>>y;
    int newnum=0;
    vector<int> digits;
    while(x>0 || y>0)
    {
        if(x==0)
        digits.push_back(y%10);
        if(y==0)
        digits.push_back(x%10);
        if(x!=0 && y!=0 && x%10>y%10)
            digits.push_back(x%10);
        if(x!=0 && y!=0 && x%10<y%10)
            digits.push_back(y%10);
        if(x!=0 && y!=0 && x%10==y%10)
        {
            digits.push_back(x%10);
            digits.push_back(y%10);
        }
        x=x/10;
        y=y/10;
    }
    for(int i=digits.size()-1;i>=0;i--)
        {
            newnum*=10;
            newnum+=digits[i];
        }
    cout<<newnum<<endl;
    return 0;
}